locked
fancy box not open using jquery.min.js RRS feed

  • Question

  • User932259438 posted

    hi,

    my code working:

     $.fancybox.open({
                    href: $(this).attr("data-url"),
                    type: 'iframe',
                    padding: 5,
                    scrolling: 'none',
                    autoScale: true,
                    preload: true,
                    height: $(window).height(),
                    width: $(window).width(),
                    afterClose: function () { closewindow(); },

    but if used:             <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>

    not working.

    How I can resolved my problem?

    Wednesday, May 4, 2016 7:36 PM

Answers

  • User2103319870 posted

    progy85

    but if used:             <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>

    not working.

    Using Jquery Minimized js files wont stop fancybox from working. Because min file is similar to normal js files but min files are compressed by removed whitespaces and unnecessary codes, comments etc. 

    You can see a working sample with Jquery min version here

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Wednesday, May 4, 2016 8:15 PM
  • User61956409 posted

    Hi progy85,

    Firstly, you could check if any errors in Console tab in your browser and you could share us the error message.

    Secondly, it seems that the jquery.min.js v1.11.3 is not compatible with jQuery FancyBox, you could try to use other version jQuery files. You could refer to the following link to include necessary JS files.

    http://fancybox.net/howto

    Best Regards,

    Fei Han

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Thursday, May 5, 2016 6:08 AM
  • User-474980206 posted

    to support jQuery 1.11 you need to use the new version of fancybox:

       http://fancyapps.com/fancybox/#support

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Thursday, May 5, 2016 2:25 PM

All replies

  • User2103319870 posted

    progy85

    but if used:             <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>

    not working.

    Using Jquery Minimized js files wont stop fancybox from working. Because min file is similar to normal js files but min files are compressed by removed whitespaces and unnecessary codes, comments etc. 

    You can see a working sample with Jquery min version here

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Wednesday, May 4, 2016 8:15 PM
  • User61956409 posted

    Hi progy85,

    Firstly, you could check if any errors in Console tab in your browser and you could share us the error message.

    Secondly, it seems that the jquery.min.js v1.11.3 is not compatible with jQuery FancyBox, you could try to use other version jQuery files. You could refer to the following link to include necessary JS files.

    http://fancybox.net/howto

    Best Regards,

    Fei Han

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Thursday, May 5, 2016 6:08 AM
  • User-474980206 posted

    to support jQuery 1.11 you need to use the new version of fancybox:

       http://fancyapps.com/fancybox/#support

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Thursday, May 5, 2016 2:25 PM